import unittest
from keras.applications.vgg16 import VGG16
from secure_serialization.trusted_pickle import TrustedPickle


class TestSecureSerialization(unittest.TestCase):
    def test_secure_write(self):
        secret_key = b'Iris-Train001'
        model = VGG16()
        file_path = "resources/secure_pickle_predictor.pkl"

        TrustedPickle(secret_key).secure_write(file_path, model)

        self.assertTrue(bool(file_path))

    def test_secure_read(self):
        secret_key = b'Iris-Train001'
        file_path = "resources/secure_pickle_predictor.pkl"

        get_data = TrustedPickle(secret_key).secure_read(file_path)

        self.assertTrue(bool(get_data))


if __name__ == '__main__':
    unittest.main()
